Subject: bug#49985: bash-mesboot0: Inscrutable error in build phase

From: Carl Dong <[email-masked]>
Date: Wed, 25 Aug 2021 14:37:38 -0400

Mathieu,

I think this was exactly the problem, because mounting a tmpfs at /tmp solved it. Thanks for your help!

Cheers,
Carl Dong

> On Aug 19, 2021, at 12:20 PM, Mathieu Othacehe <[email-masked]> wrote:
> 
> 
> Hello Carl,
> 
>> The error line is L1299: "make: stat:Makefile: sterror: unknown error”
> 
> This reminds me of:
> https://lists.gnu.org/archive/html/bug-guix/2020-05/msg00335.html.
> 
> I never took the time to fix this issue. Bottom line is that building
> the bootstrap toolchain fails on NVME disks because some syscalls
> (stat64, lstat64 and fstat64) need to be implemented in GNU Mes.
> 
> There's a small demonstration program that you can use to demonstrate
> this theory :).
> 
> Thanks,
> 
> Mathieu